
Foreman - Bug #4570

AIX Operating System version is shown in a strange way.

03/06/2014 11:50 AM - Ruediger Mueck

Status: Ready For Testing   

Priority: Normal   

Assignee: Josh Baird   

Category: Facts   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged: No Found in Releases: 1.4.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In /usr/share/foreman/app/services/facts_parser.rb

The AIX Version is constructed in a strange way. I think it would be better

to follow the general construction scheme for os versions.

31         elsif os_name[/AIX/i]

32           majoraix, tlaix, spaix, yearaix = orel.split("-")

33           orel = majoraix + "." + tlaix + spaix

Result:

AIX 7100.0301

I think a better way would be:

34            major = majoraix

0

35            minor = majoraix

1

36            orel  = major + "." + minor

Result:

AIX 7.1

Related issues:

Related to Foreman - Bug #1489: AIX not showing up on Hosts page Closed 02/08/2012

Related to Foreman - Bug #105: Operating Major version too short for AIX Resolved 12/01/2009

History

#1 - 03/06/2014 11:52 AM - Dominic Cleal

- Related to Bug #1489: AIX not showing up on Hosts page added

#2 - 03/06/2014 11:52 AM - Dominic Cleal

- Related to Bug #105: Operating Major version too short for AIX added

#3 - 03/10/2014 05:28 PM - Josh Baird

- Assignee set to Josh Baird

#4 - 03/10/2014 07:04 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.9.0

https://github.com/theforeman/foreman/pull/1286

#5 - 03/11/2014 06:59 PM - Ruediger Mueck
Testing Josh fix ... so far it does the job!

#6 - 03/12/2014 04:57 PM - Josh Baird

There has been some discussion in #theforeman-dev regarding this topic.  It has been suggested that it may make more sense to make "7.1" the

"major," and the TL (technology level) as the "minor."  Example:

6100-02-06-0943

MAJOR = 6.1

MINOR = 2 (TL)

Should we also consider adding the service pack somehow (06)?

#7 - 03/12/2014 11:03 PM - Ruediger Mueck

I agree the TL of AIX is very important at all (like the TL of AIX 7.1 will be responsible for supporting Power8).

And in my daily doing the TL is also important. The SP in not that important but i will discuss that tomorrow ;)

so you think it should be reported like:   7.1.2 or more the AIX way 7100-02 ?

#8 - 03/13/2014 12:11 PM - Josh Baird

I was thinking of making "major" = 7.1, and "minor" = TL2.  Thoughts?

#9 - 03/17/2014 08:55 AM - Benjamin Papillon

That's also my preferred choice. If Josh wants to include SP level it is also good for me.

#10 - 03/17/2014 02:16 PM - Josh Baird

Unfortunately, to use non-alpha numeric characters in major/minor, the OS model needs to be re-vamped/re-written so this will require more effort

than we originally anticipated.  The options with the OS model as-is are to leave the version as is (7100.0301) or change major=7 and minor=1.

#11 - 03/17/2014 05:40 PM - Ruediger Mueck

I would then vote for something like:

major 7.1

minor 02 or just 2 (TL)

7.1.02

#12 - 03/18/2014 09:19 AM - Benjamin Papillon

Sorry Ruediger Mueck but '7.1' contains non numeric chars.

In that case, I'd also prefer the option to leave the version as is (7100.0301).

#13 - 03/18/2014 04:12 PM - Ruediger Mueck

imho:

then it would be the best to keep it majoraix + "." + tlaix + "." + spaix

@Benjamin : I think we should separate the TL from the SP.

#14 - 03/26/2014 12:56 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#15 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#16 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#17 - 04/24/2014 10:25 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#18 - 05/19/2014 12:40 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2
#19 - 06/11/2014 02:58 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#20 - 07/07/2014 07:20 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#21 - 07/30/2014 06:48 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#22 - 08/20/2014 06:49 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#23 - 09/10/2014 07:20 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#24 - 09/30/2014 10:35 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#25 - 07/23/2018 11:30 AM - Tomer Brisker

- Target version deleted (1.7.2)
